#include <qapplication.h>
#include <qpainter.h>
#include <QDialog>
#include <QTimer>
#include <QDebug>

class MyWidget : public QDialog
{
    int id;
public:
    MyWidget()
    {
        id = startTimer(500);
        setGeometry(0, 0, 300, 300);
    }

protected:
    void paintEvent(QPaintEvent *)
    {
        QPainter p(this);
        p.setPen(QPen(Qt::red));
        p.drawLine(0, 0, 300, 300);
        p.drawLine(0, 300, 300, 0);
    }

    void timerEvent(QTimerEvent*)
    {
        killTimer(id);
        setAttribute(Qt::WA_TranslucentBackground);

        // workaround
//      destroy();
//      create();
//      show();
    }
};

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    MyWidget *w = new MyWidget;
    w->show();

    return app.exec();
}
